Subject: Re: [PATCH v2 0/3] reftable/stack: use geometric table compaction

From: Patrick Steinhardt <[email-masked]>
Date: Fri, 22 Mar 2024 02:25:05 +0100

On Thu, Mar 21, 2024 at 10:40:16PM +0000, Justin Tobler via GitGitGadget wrote:
> Hello again,
> 
> This is the second version my patch series that refactors the reftable
> compaction strategy to instead follow a geometric sequence. Changes compared
> to v1:
> 
>  * Added GIT_TEST_REFTABLE_NO_AUTOCOMPACTION environment variable to disable
>    reftable compaction when testing.
>  * Refactored worktree tests in t0610-reftable-basics.sh to properly assert
>    git-pack-refs(1) works as expected.
>  * Added test to validate that alternating table sizes are compacted.
>  * Added benchmark to compare compaction strategies.
>  * Moved change that made compaction segment end inclusive to its own
>    commit.
>  * Added additional explanation in commits and comments and fixed typos.
> 
> Thanks for taking a look!

Cc'ing Han-Wen and Josh for additional input. From my point of view the
new algorithm is simpler to understand and less fragile, but I do wonder
whether there is anything that we're missing.

Patrick